### Function

# Fwupd checksum_get_best

since: 0.9.4

#### Declaration [src]

    const gchar*
    fwupd_checksum_get_best (
      GPtrArray* checksums
    )

#### Description [src]

Gets a the best possible checksum kind.

Available since: 0.9.4

#### Parameters

`checksums`

  Type: An array of `utf8`

  Checksums.

  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

A checksum from the array, or `NULL` if nothing was suitable.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.